For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETList all cancellations on an order
          • POSTCreate a cancellation on an order
          • GETGet details of a single cancellation
          • PUTUpdate details of a cancellation
          • DELDelete a cancellation
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Cancellations

List all cancellations on an order

GET
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/cancellations
GET
/api/v2/orders/:order-id/cancellations
$curl https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/cancellations \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "cancellations": [
3 {
4 "id": "109872189273617283",
5 "cancellation_lines": [
6 {
7 "line_id": "109872189273617283",
8 "quantity": 1
9 }
10 ],
11 "reason": "customer_cancelled"
12 }
13 ]
14}
Get all the cancellations for the specified order
Was this page helpful?
Previous

Delete a fulfillment

Next

Create a cancellation on an order

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Response

An array of cancellation objects
cancellationslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error